> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Get a workspace's activity feed

GET https://api.getpostman.com/workspaces/{workspaceId}/activities

Gets a workspace's [activity feed](https://learning.postman.com/docs/collaborating-in-postman/using-workspaces/changelog-and-restoring-collections/#view-workspace-activity). Activity feeds return information about who added or removed collections, environments, or elements from a workspace, and users that join or leave a workspace.

Reference: https://learning.postman.com/api-docs/api-reference/workspaces/get-workspace-activity-feed

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /workspaces/{workspaceId}/activities:
    get:
      operationId: getWorkspaceActivityFeed
      summary: Get a workspace's activity feed
      description: >-
        Gets a workspace's [activity
        feed](https://learning.postman.com/docs/collaborating-in-postman/using-workspaces/changelog-and-restoring-collections/#view-workspace-activity).
        Activity feeds return information about who added or removed
        collections, environments, or elements from a workspace, and users that
        join or leave a workspace.
      tags:
        - workspaces
      parameters:
        - name: workspaceId
          in: path
          description: The workspace's ID.
          required: true
          schema:
            $ref: '#/components/schemas/workspaceId'
        - name: userId
          in: query
          description: Filter results by the given user ID.
          required: false
          schema:
            $ref: '#/components/schemas/userId-2'
        - name: elementType
          in: query
          description: A comma-separated list of elements to filter the results by.
          required: false
          schema:
            $ref: '#/components/schemas/elementType-3'
        - name: limit
          in: query
          description: The maximum number of rows to return in the response.
          required: false
          schema:
            $ref: '#/components/schemas/limitDefault15'
            default: 15
        - name: cursor
          in: query
          description: >-
            The pointer to the first record of the set of paginated results. To
            view the next response, use the `nextCursor` value for this
            parameter.
          required: false
          schema:
            $ref: '#/components/schemas/cursor'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getWorkspaceActivityFeed'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetWorkspaceActivityFeedRequestUnauthorizedError
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetWorkspaceActivityFeedRequestForbiddenError
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    workspaceId:
      type: string
      title: workspaceId
    userId-2:
      type: integer
      title: userId-2
    elementType-3:
      type: string
      enum:
        - collection
        - workspace
        - environment
        - mock
        - monitor
      title: elementType-3
    limitDefault15:
      type: integer
      default: 15
      title: limitDefault15
    cursor:
      type: string
      title: cursor
    GetWorkspaceActivityFeedDataItemsUser:
      type: object
      properties:
        id:
          type: integer
          description: The user's ID.
        username:
          type: string
          description: The user's Postman username.
        isPartner:
          type: boolean
          description: >-
            If true, the user is a
            [Partner](https://learning.postman.com/docs/collaborating-in-postman/roles-and-permissions/#partner-team-and-partner-workspace-roles)
            in the workspace.
        name:
          type: string
          description: The user's name.
      description: Information about the user that performed the activity.
      title: GetWorkspaceActivityFeedDataItemsUser
    GetWorkspaceActivityFeedDataItemsAction:
      type: string
      enum:
        - create
        - update
        - destroy
      description: The action that occurred in the workspace.
      title: GetWorkspaceActivityFeedDataItemsAction
    GetWorkspaceActivityFeedDataItems:
      type: object
      properties:
        workspaceId:
          type: string
          description: The workspace's ID.
        createdAt:
          type: string
          format: date-time
          description: The date and time at which the element was created.
        updatedAt:
          type: string
          format: date-time
          description: The date and time at which the element was updated.
        id:
          type: integer
          description: The activity feed's ID.
        user:
          $ref: '#/components/schemas/GetWorkspaceActivityFeedDataItemsUser'
          description: Information about the user that performed the activity.
        action:
          $ref: '#/components/schemas/GetWorkspaceActivityFeedDataItemsAction'
          description: The action that occurred in the workspace.
        elementType:
          type: string
          description: The element type.
        trigger:
          type: string
          description: >-
            The trigger that caused the workspace action (`create`, `update`, or
            `destroy`).
        elementId:
          type: string
          description: The element's ID.
        elementName:
          type: string
          description: The element's name.
      description: Information about the workspace's activity.
      title: GetWorkspaceActivityFeedDataItems
    meta:
      type: object
      properties:
        nextCursor:
          type:
            - string
            - 'null'
          description: >-
            The pagination cursor that points to the next record in the results
            set.
      title: meta
    getWorkspaceActivityFeed:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/GetWorkspaceActivityFeedDataItems'
        meta:
          $ref: '#/components/schemas/meta'
      title: getWorkspaceActivityFeed
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    CommonErrorNameMessageError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: CommonErrorNameMessageError
    commonErrorNameMessage:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageError'
          description: Information about the error.
      title: commonErrorNameMessage
    GetWorkspaceActivityFeedRequestUnauthorizedError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetWorkspaceActivityFeedRequestUnauthorizedError
    GetWorkspaceActivityFeedRequestForbiddenError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetWorkspaceActivityFeedRequestForbiddenError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples

### Successful Response



**Response**

```json
{
  "data": [
    {
      "workspaceId": "1f0df51a-8658-4ee8-a2a1-d2567dfa09a9",
      "createdAt": "2025-04-07T14:33:23Z",
      "updatedAt": "2025-04-07T14:33:23Z",
      "id": 15178,
      "user": {
        "id": 12345678,
        "username": "research-physicist-12345678",
        "isPartner": false,
        "name": "Taylor Lee"
      },
      "action": "update",
      "elementType": "collection",
      "trigger": "update",
      "elementId": "12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2",
      "elementName": "Test API"
    },
    {
      "workspaceId": "1f0df51a-8658-4ee8-a2a1-d2567dfa09a9",
      "createdAt": "2025-04-07T14:33:23Z",
      "updatedAt": "2025-04-07T14:33:23Z",
      "id": 15177,
      "user": {
        "id": 12345678,
        "username": "research-physicist-12345678",
        "isPartner": false,
        "name": "Taylor Lee"
      },
      "action": "update",
      "elementType": "collection",
      "trigger": "update",
      "elementId": "12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2",
      "elementName": "New Collection"
    },
    {
      "workspaceId": "1f0df51a-8658-4ee8-a2a1-d2567dfa09a9",
      "createdAt": "2025-04-07T13:59:02Z",
      "updatedAt": "2025-04-07T13:59:02Z",
      "id": 15131,
      "user": {
        "id": 12345678,
        "username": "research-physicist-12345678",
        "isPartner": false,
        "name": "Taylor Lee"
      },
      "action": "update",
      "elementType": "workspace",
      "trigger": "update_visibility",
      "elementId": "1f0df51a-8658-4ee8-a2a1-d2567dfa09a9",
      "elementName": "Testing APIs"
    },
    {
      "workspaceId": "1f0df51a-8658-4ee8-a2a1-d2567dfa09a9",
      "createdAt": "2025-04-07T13:56:09Z",
      "updatedAt": "2025-04-07T13:56:09Z",
      "id": 15130,
      "user": {
        "id": 12345678,
        "username": "research-physicist-12345678",
        "isPartner": false,
        "name": "Taylor Lee"
      },
      "action": "update",
      "elementType": "workspace",
      "trigger": "add_user_role",
      "elementId": "47574adc-85bc-42f3-8723-17106ec6fac8",
      "elementName": "Testing APIs"
    },
    {
      "workspaceId": "1f0df51a-8658-4ee8-a2a1-d2567dfa09a9",
      "createdAt": "2025-04-07T13:54:07Z",
      "updatedAt": "2025-04-07T13:54:07Z",
      "id": 15125,
      "user": {
        "id": 12345678,
        "username": "research-physicist-12345678",
        "isPartner": false,
        "name": "Taylor Lee"
      },
      "action": "destroy",
      "elementType": "collection",
      "trigger": "destroy",
      "elementName": "Billing API",
      "elementid": "12345678-e562f717-596b-4d3a-80d9-0aaa44a8f900"
    },
    {
      "workspaceId": "1f0df51a-8658-4ee8-a2a1-d2567dfa09a9",
      "createdAt": "2025-04-07T13:52:53Z",
      "updatedAt": "2025-04-07T13:53:34Z",
      "id": 15122,
      "user": {
        "id": 12345678,
        "username": "research-physicist-12345678",
        "isPartner": false,
        "name": "Taylor Lee"
      },
      "action": "update",
      "elementType": "collection",
      "trigger": "update",
      "elementId": "12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2",
      "elementName": "New Collection"
    },
    {
      "workspaceId": "1f0df51a-8658-4ee8-a2a1-d2567dfa09a9",
      "createdAt": "2025-04-07T13:52:43Z",
      "updatedAt": "2025-04-07T13:52:43Z",
      "id": 15117,
      "user": {
        "id": 12345678,
        "username": "research-physicist-12345678",
        "isPartner": false,
        "name": "Taylor Lee"
      },
      "action": "create",
      "elementType": "collection",
      "trigger": "create",
      "elementId": "12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2",
      "elementName": "New Collection"
    },
    {
      "workspaceId": "1f0df51a-8658-4ee8-a2a1-d2567dfa09a9",
      "createdAt": "2025-03-24T17:00:09Z",
      "updatedAt": "2025-03-24T17:00:09Z",
      "id": 133348,
      "user": {
        "id": 12345678,
        "username": "research-physicist-12345678",
        "isPartner": false,
        "name": "Taylor Lee"
      },
      "action": "create",
      "elementType": "collection",
      "trigger": "create",
      "elementName": "Billing API",
      "elementid": "12345678-e562f717-596b-4d3a-80d9-0aaa44a8f900"
    }
  ],
  "meta": {
    "nextCursor": "bmV4dDppZDpZWEpqYUdsMllXeEVRaXhtWldWa2MxOHlNREkxWHpFc01UTXpNelE0"
  }
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/activities"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/activities';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/activities"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/activities")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/activities")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/activities', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/activities");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/activities")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Filter by Element Type



**Response**

```json
{
  "data": [
    {
      "workspaceId": "1f0df51a-8658-4ee8-a2a1-d2567dfa09a9",
      "createdAt": "2025-04-07T13:59:02Z",
      "updatedAt": "2025-04-07T13:59:02Z",
      "id": 15131,
      "user": {
        "id": 12345678,
        "username": "research-physicist-12345678",
        "isPartner": false,
        "name": "Taylor Lee"
      },
      "action": "update",
      "elementType": "workspace",
      "trigger": "update_visibility",
      "elementId": "1f0df51a-8658-4ee8-a2a1-d2567dfa09a9",
      "elementName": "Testing APIs"
    },
    {
      "workspaceId": "1f0df51a-8658-4ee8-a2a1-d2567dfa09a9",
      "createdAt": "2025-04-07T13:56:09Z",
      "updatedAt": "2025-04-07T13:56:09Z",
      "id": 15130,
      "user": {
        "id": 12345678,
        "username": "research-physicist-12345678",
        "isPartner": false,
        "name": "Taylor Lee"
      },
      "action": "update",
      "elementType": "workspace",
      "trigger": "add_user_role",
      "elementId": "1f0df51a-8658-4ee8-a2a1-d2567dfa09a9",
      "elementName": "Testing APIs"
    }
  ],
  "meta": {
    "nextCursor": ""
  }
}
```

**SDK Code**

```python Filter by Element Type
import requests

url = "https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/activities"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Filter by Element Type
const url = 'https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/activities';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Filter by Element Type
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/activities"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Filter by Element Type
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/activities")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Filter by Element Type
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/activities")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Filter by Element Type
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/activities', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Filter by Element Type
using RestSharp;

var client = new RestClient("https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/activities");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Filter by Element Type
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/activities")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```